com.independentsoft.exchange

## Class QueryString

- java.lang.Object
- - com.independentsoft.exchange.QueryString

-     public class QueryString
      extends java.lang.Object

  The Class QueryString.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryString()` Instantiates a new query string.
    `QueryString(java.lang.String query)` Instantiates a new query string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getQuery()` Gets the query.
    `void` | `getQuery(java.lang.String query)` Gets the query.
    `void` | `getResetCache(boolean resetCache)` Gets the reset cache.
    `void` | `getReturnDeletedItems(boolean returnDeletedItems)` Gets the return deleted items.
    `void` | `getReturnHighlightTerms(boolean returnHighlightTerms)` Gets the return highlight terms.
    `boolean` | `isResetCache()` Checks if is reset cache.
    `boolean` | `isReturnDeletedItems()` Checks if is return deleted items.
    `boolean` | `isReturnHighlightTerms()` Checks if is return highlight terms.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryString

          public QueryString()

      Instantiates a new query string.

    - #### QueryString

          public QueryString(java.lang.String query)

      Instantiates a new query string.
      Parameters:
        `query` - the query

  - ### Method Detail

    - #### getQuery

          public java.lang.String getQuery()

      Gets the query.
      Returns:
        the query

    - #### getQuery

          public void getQuery(java.lang.String query)

      Gets the query.
      Parameters:
        `query` - the query

    - #### isResetCache

          public boolean isResetCache()

      Checks if is reset cache.
      Returns:
        true, if is reset cache

    - #### getResetCache

          public void getResetCache(boolean resetCache)

      Gets the reset cache.
      Parameters:
        `resetCache` - the reset cache

    - #### isReturnHighlightTerms

          public boolean isReturnHighlightTerms()

      Checks if is return highlight terms.
      Returns:
        true, if is return highlight terms

    - #### getReturnHighlightTerms

          public void getReturnHighlightTerms(boolean returnHighlightTerms)

      Gets the return highlight terms.
      Parameters:
        `returnHighlightTerms` - the return highlight terms

    - #### isReturnDeletedItems

          public boolean isReturnDeletedItems()

      Checks if is return deleted items.
      Returns:
        true, if is return deleted items

    - #### getReturnDeletedItems

          public void getReturnDeletedItems(boolean returnDeletedItems)

      Gets the return deleted items.
      Parameters:
        `returnDeletedItems` - the return deleted items